Package wx :: Package lib :: Module mvctree :: Class BasicTreeModel

[frames | no frames]

## Class BasicTreeModel

    TreeModel --+
                |
               BasicTreeModel

Known Subclasses:
  `FSTreeModel`

A very simple treemodel implementation, but flexible enough for many needs.

Method Summary
| `__init__(self)`
| `AddChild(self, parent, child)`
| `GetChildAt(self, node, index)`
| `GetChildCount(self, node)`
| `GetParent(self, node)`
| `GetRoot(self)`
| `InsertChild(self, parent, child, index)`
| `IsEditable(self, node)`
| `IsLeaf(self, node)`
| `RemoveNode(self, node)`
| `SetEditable(self, node, bool)`
| `SetRoot(self, root)`

Generated by Epydoc 2.1.20050511.rpd on Wed Sep 26 13:46:38 2007 | http://epydoc.sf.net